For the complete documentation index, see llms.txt. This page is also available as Markdown.

Synchronize buyer

Synchronizes the buyer with the ERP system.

post
Path parameters
idstringRequired
Responses
200

OK

application/json
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
taxIdstring · nullableOptional
post/public/v1/accounts/buyers/{id}/synchronize
POST /public/v1/accounts/buyers/{id}/synchronize HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "activated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "unassigned": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "disabled": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "icon": "text",
  "revision": 1,
  "externalIds": {
    "erpCompanyContact": "text",
    "erpCustomer": "text",
    "accountExternalId": "text"
  },
  "status": "Active",
  "address": {
    "addressLine1": "text",
    "addressLine2": "text",
    "postCode": "text",
    "city": "text",
    "state": "text",
    "country": "text"
  },
  "taxId": "text",
  "account": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active"
  },
  "errors": [
    {
      "id": "text",
      "message": "text",
      "parameters": null
    }
  ],
  "sellers": [
    {
      "id": "text",
      "name": "text",
      "icon": "text",
      "revision": 1,
      "externalId": "text"
    }
  ]
}

Last updated

Was this helpful?